Summary: OSS (Open Sound System) Proxy Daemon
Name: ossp
Version: 1.3.2
Release: %mkrel 5
Source0: %{name}-%{version}.tar.gz
Patch0001: 0001-Add-a-very-simple-systemd-unit.patch
Patch0002: 0002-udev-Rename-udev-rules-and-add-uaccess-udev-acl-tags.patch
Patch0003: ossp-1.3.2-linking.patch
License: GPLv2
Group: Sound/Utilities
Url: http://sourceforge.net/projects/osspd/

BuildRequires: fuse-devel
BuildRequires: pulseaudio-devel
BuildRequires: libalsa-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Suggests: pulseaudio

%description
OSS Proxy Daemon is Linux userland OSS sound device (/dev/[a]dsp
and /dev/mixer) implementation using CUSE. Currently it supports
forwarding OSS sound streams to PulseAudio and ALSA.


%prep
%setup -q
%apply_patches

sed -i 's,/usr/local,%{_prefix},' Makefile
sed -i 's,/etc/udev/rules.d,/%{_udevrulesdir},' Makefile

%build
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
echo "cuse" >%{buildroot}%{_sysconfdir}/modprobe.preload.d/%{name}.conf

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_sbindir}/ossp*
%{_udevrulesdir}/70-osscuse.rules
%{_sysconfdir}/modprobe.preload.d/%{name}.conf
%{_unitdir}/osspd.service
%{_unitdir}/sound.target.wants/osspd.service


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-5.mga3
+ Revision: 362242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.3.2-4.mga3
+ Revision: 334976
- fix RPM group
- add patch to fix linking
- adjust udev rules dir and systemd unit dir
- clean .spec a bit

* Sat Apr 28 2012 tmb <tmb> 1.3.2-3.mga2
+ Revision: 233832
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Jan 26 2012 colin <colin> 1.3.2-2.mga2
+ Revision: 201638
- Fix ACL permissions on created nodes.

* Sat Oct 08 2011 colin <colin> 1.3.2-1.mga2
+ Revision: 153066
- Fix BuildRequire's
- Fix rel
- imported package ossp

